=== debian/changelog ===
golang-github-cloudflare-sidh (1.0+git20190228.d2f0f90-5) unstable; urgency=medium

  * debian/control:
    - For golang-github-cloudflare-sidh-dev add Multi-Arch: foreign

 -- Roger Shimizu <rosh@debian.org>  Sun, 26 Sep 2021 01:18:28 +0900

golang-github-cloudflare-sidh (1.0+git20190228.d2f0f90-4) unstable; urgency=medium

  * Update upstream URL.

 -- Roger Shimizu <rosh@debian.org>  Tue, 30 Jun 2020 03:03:35 +0900

golang-github-cloudflare-sidh (1.0+git20190228.d2f0f90-3) unstable; urgency=medium

  * debian/patches:
    - Add patch to skip test takes too long on reproducible builds.

 -- Roger Shimizu <rosh@debian.org>  Fri, 26 Jun 2020 02:18:27 +0900

golang-github-cloudflare-sidh (1.0+git20190228.d2f0f90-2) unstable; urgency=medium

  * Source only re-upload.

 -- Roger Shimizu <rosh@debian.org>  Thu, 18 Jun 2020 01:28:25 +0900

golang-github-cloudflare-sidh (1.0+git20190228.d2f0f90-1) unstable; urgency=medium

  * Initial release (Closes: #959673)

 -- Roger Shimizu <rosh@debian.org>  Mon, 04 May 2020 01:57:35 +0900
