=== debian/control ===
Source: golang-github-cloudflare-sidh
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Roger Shimizu <rosh@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-golang,
 golang-any,
 golang-github-henrydcase-nobs-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-cloudflare-sidh
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-cloudflare-sidh.git
Homepage: https://github.com/cloudflarearchive/sidh
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/cloudflare/sidh

Package: golang-github-cloudflare-sidh-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 golang-github-henrydcase-nobs-dev
Description: Supersingular Isogeny Diffie-Hellman golang library
 Go implementation of (ephemeral) supersingular isogeny Diffie-Hellman
 (SIDH) and supersingular isogeny key exchange (SIKE), as specified in
 SIDH-spec, PQC NIST Submission (http://sike.org/files/SIDH-spec.pdf)
 (Nov 30, 2017).
 .
 Portions of the field arithmetic were ported from the Microsoft
 Research implementation.
 .
 The SIDH package does NOT implement key validation. It means that it
 should only be used for ephemeral DH. Each keypair should be used at
 most once.
 .
 Project provides following packages:
   * p503: P503 field arithmetic
   * p751: P751 field arithmetic
   * sidh: Implementation of SIDH key agreement
   * sike: Implementation of SIKE PKE and KEM, based on sidh package
