=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := etc

%:
	dh $@ --buildsystem=golang --with=golang
